def quiz():
    questions = [
        {
            "question": "В каком году закончилась Вторая мировая война?",
            "options": ["1945", "1944", "1946", "1943"],
            "answer": "1945"
        },
        {
            "question": "Как называется день, когда была подписана капитуляция Германии?",
            "options": ["День Победы", "День памяти", "День освобождения", "День мира"],
            "answer": "День Победы"
        },
        {
            "question": "Какой город был освобожден в ходе операции 'Багратион'?",
            "options": ["Минск", "Киев", "Смоленск", "Севастополь"],
            "answer": "Минск"
        },
        {
            "question": "Кто был Верховным Главнокомандующим Советскими Вооруженными Силами во время войны?",
            "options": ["Иосиф Сталин", "Лев Троцкий", "Владимир Ленин", "Георгий Жуков"],
            "answer": "Иосиф Сталин"
        },
        {
            "question": "Какой праздник отмечается 9 мая в России?",
            "options": ["День защитника Отечества", "День Победы", "День России", "День труда"],
            "answer": "День Победы"
        },
        {
            "question": "Какой символ используется для обозначения Дня Победы?",
            "options": ["Красная звезда", "Георгиевская ленточка", "Триколор", "Знак победы"],
            "answer": "Георгиевская ленточка"
        },
        {
            "question": "Сколько лет прошло с момента окончания Второй мировой войны до 2020 года?",
            "options": ["75 лет", "70 лет", "80 лет", "65 лет"],
            "answer": '75 лет'
        },
        {
            "question": "'Бессмертный полк' — это:",
            "options": ["Военная операция", 
                        "'Живой' памятник погибшим солдатам",
                        "'Живое' искусство",
                        "'Живое' наследие"],
            'answer': "'Живой' памятник погибшим солдатам"
        },
        {
            'question': 'Кто написал стихотворение «На поле танки гремят»?',
            'options': ['Александр Блок', 'Константин Симонов', 'Ольга Берггольц', 'Марина Цветаева'],
            'answer': 'Константин Симонов'
        },
        {
           'question': 'Какой фильм о Великой Отечественной войне стал культовым и получил Оскар?',
           'options': ['Иди и смотри', 'Сталкер', 'Судьба человека', 'В бой идут одни старики'],
           'answer': 'Иди и смотри'
       }
    ]

    score = 0

    for i, q in enumerate(questions):
        print(f"Вопрос {i + 1}: {q['question']}")
        for j, option in enumerate(q['options']):
            print(f"{j + 1}. {option}")
        
        answer = input("Ваш ответ (введите номер варианта): ")
        
        if q['options'][int(answer) - 1] == q['answer']:
            print("Правильно!")
            score += 1
        else:
            print(f"Неправильно! Правильный ответ: {q['answer']}")
        
    print(f"Вы набрали {score} из {len(questions)}.")

if __name__ == "__main__":
    quiz()
